@extends('themes.base.layout')
@section('title', trans('admin.delete_user', ['name' => $user->name]))

@section('breadcrumb')
    <div class="breadcrumb">
        <div class="container">
            <ol class="breadcrumb">
                <li><a href="{{ route('home') }}">@lang('navigation.breadcrumb.home')</a></li>
                <li><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
                <li><a href="{{ route('user.index') }}">@lang('navigation.breadcrumb.users')</a></li>
                <li class="active">@lang('navigation.breadcrumb.delete_user')</li>
            </ol>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1>@yield('title')</h1>
                <p>@lang('admin.delete_user_confirm', ['name' => $user->name])</p>
                <div class="alert alert-danger">
                    @lang('admin.delete_user_warning')
                </div>
                <div class="form-actions">
                    {!! Form::open(['route' => ['user.destroy', $user->id], 'method' => 'DELETE']) !!}
                    <a href="{{ route('user.index') }}" class="btn btn-default">@lang('forms.cancel_action')</a>
                    {!! Form::submit(trans('forms.delete_action'), ['class' => 'btn btn-danger']) !!}
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
@endsection